1. Comment
Einpix API documentation
  • Changelog
  • About
  • API
    • Task
      • Create
      • List
      • Detail
      • Change status
    • Checklist
      • By task
    • Client
      • Create
      • Update
      • List
      • Detail
    • User
      • List
      • Detail
    • Venue
      • Create
      • List
      • Detail
    • Category
      • Task
        • List
        • Detail
      • Equipment
        • List
    • Tag
      • List
      • Detail
    • Template
      • Checklist
        • List
        • Detail
    • Equipment
      • Create
      • Update
      • Delete
      • Change picture
      • Remove picture
      • Add attachments
      • Remove attachments
      • List
      • List by category
      • Detail
    • Comment
      • Create
        POST
      • Detail
        GET
      • List
        GET
    • Worklog
      • List
      • Hisory
    • Materials
      • By task
    • Service
      • By task
    • Webhook
      • List
      • Create
      • Delete
      • Update
  • Schemas
    • User
    • Venue
    • Task
    • Task comment
    • Tag
    • Task category
    • Picture
    • Check item
    • Equipment category
    • Equipment
    • Client
    • Task severity
    • Attachment
    • Changed log
    • User group
    • WDJ material
    • Unit master
    • WDJ service
    • Worklog History
    • CountryEnum
    • Checklist template
    • Worklog
    • Activity task
    • Downtime task
    • Sla rule
    • Webhook action
    • Webhook
    • WebhookEnumm
  1. Comment

List

GET
task/{taskId}/comments
Retrieves all comments by task ID.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.einpix.com/public/v1/task//comments'

Responses

🟢200Success
application/json
Body

Example
[
    {
        "id": 1,
        "author": {
            "id": 344,
            "name": "laboriosam reiciendis sed",
            "email": "Luz.Blick29@gmail.com"
        },
        "content": "Ullam at quas praesentium reprehenderit quo sunt esse similique esse. Aut natus et quas impedit. Architecto impedit distinctio ducimus consequuntur autem a. Veritatis sapiente id aut mollitia dolorum velit quo labore a.",
        "attachments": [
            {
                "id": "a825dbce-50a8-4930-b4f5-3af273d2fa20",
                "original_filename": "litas_burgs_salad.glb",
                "width": -5974528,
                "height": 56390976,
                "mime_type": "application/x-bdoc",
                "author": {
                    "id": 344,
                    "name": "expedita sit occaecati",
                    "email": "Thelma.Walsh@hotmail.com"
                },
                "file_size": 69782461,
                "url": "http://unique-magnitude.com"
            }
        ]
    }
]
Modified at 2026-02-03 07:11:25
Previous
Detail
Next
List
Built with